Opened 4 months ago

Closed 4 months ago

#14843 closed enhancement (fixed)

Vulnerabilities in Python-2.7.18.

Reported by: ken@… Owned by: ken@…
Priority: high Milestone: 10.2
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description

Several vulnerabilities which have been fixed in Python3 also exist in Python2 and have been fixed by patches/cherry-picks at gentoo and Arch. For Python3 some were rated as critical, but for anyone using recent BLFS it seems unlikely that Python2 is a critical part of their infrastructure, although as always vulnerabilities can be chained by malicious actors.

Change History (3)

comment:1 by ken@…, 4 months ago

Owner: changed from blfs-book to ken@…
Status: newassigned

comment:2 by ken@…, 4 months ago

Book updated at r24419.

Security Advisory deferred pending migration of www2 repository.

comment:3 by Xi Ruoyao, 4 months ago

Resolution: fixed
Status: assignedclosed

10.1 019 added.

Note: See TracTickets for help on using tickets.